Index: kernel/classes/datatypes/ezuser/ezldapuser.php
===================================================================
--- kernel/classes/datatypes/ezuser/ezldapuser.php      (revision 16286)
+++ kernel/classes/datatypes/ezuser/ezldapuser.php      (working copy)
@@ -168,6 +168,7 @@
             $LDAPVersion = $LDAPIni->variable( 'LDAPSettings', 'LDAPVersion' );
             $LDAPHost = $LDAPIni->variable( 'LDAPSettings', 'LDAPServer' );
             $LDAPPort = $LDAPIni->variable( 'LDAPSettings', 'LDAPPort' );
+            $LDAPFollowReferrals = $LDAPIni->variable( 'LDAPSettings', 'LDAPFollowReferrals' );
             $LDAPBaseDN = $LDAPIni->variable( 'LDAPSettings', 'LDAPBaseDn' );
             $LDAPBindUser = $LDAPIni->variable( 'LDAPSettings', 'LDAPBindUser' );
             $LDAPBindPassword = $LDAPIni->variable( 'LDAPSettings', 'LDAPBindPassword' );
@@ -214,12 +215,14 @@
             $LDAPEqualSign = trim($LDAPIni->variable( 'LDAPSettings', "LDAPEqualSign" ) );
             $LDAPBaseDN = str_replace( $LDAPEqualSign, "=", $LDAPBaseDN );
             $LDAPFilter = str_replace( $LDAPEqualSign, "=", $LDAPFilter );
+            $LDAPBindUser = str_replace( $LDAPEqualSign, "=", $LDAPBindUser );

             $ds = ldap_connect( $LDAPHost, $LDAPPort );

             if ( $ds )
             {
                 ldap_set_option( $ds, LDAP_OPT_PROTOCOL_VERSION, $LDAPVersion );
+                ldap_set_option($ds, LDAP_OPT_REFERRALS, $LDAPFollowReferrals);
                 if ( $LDAPBindUser == '' )
                 {
                     $r = ldap_bind( $ds );
Index: settings/ldap.ini
===================================================================
--- settings/ldap.ini   (revision 16286)
+++ settings/ldap.ini   (working copy)
@@ -5,6 +5,8 @@
 [LDAPSettings]
 # Set LDAP version number
 LDAPVersion=2
+# Determines whether the LDAP library automatically follows referrals returned by LDAP servers or not.
+LDAPFollowReferrals=0
 # Set to true if use LDAP server
 LDAPEnabled=true
 # LDAP host
